%define oname BlockCanvas
Name: python-module-%oname
Version: 3.1.1
Release: alt1.svn20090901
Summary: Enthought Numerical Modeling

Group: Development/Python
License: BSD and GPLv2
URL: http://pypi.python.org/pypi/BlockCanvas
# https://svn.enthought.com/svn/enthought/BlockCanvas
Source: %oname-%version.tar.gz
Packager: Eugeny A. Rostovtsev (REAL) <real at altlinux.org>

BuildRequires: python-devel, python-module-setuptools
BuildPreReq: python-module-sphinx python-module-Pygments

%description
The BlockCanvas project provides a visual environment for creating simulation
experiments, where function and data are separated. Thus, you can define your
simulation algorithm by visually connecting function blocks into a data flow
network, and then run it with various data sets (known as "contexts");
likewise, you can use the same context in a different functional simulation.

The project provides support for plotting, function searching and inspection,
and optimization. It includes a stand-alone application that demonstrates the
block-canvas environment, but the same functionality can be incorporated into
other applications.

The BlockCanvas project relies on included libraries that allow multiple data
sets using Numeric arrays to be incorporated in a Traits-based model in a way
that is simple, fast, efficient, and consistent.

%prep
%setup

%build
%python_build

%install
%python_install -O1
sed -i 's/\.dev$//g' \
	%buildroot/%python_sitelibdir/%oname-%version-*.egg-info/requires.txt

%files
%doc *.txt docs/*.txt docs/model/*
%python_sitelibdir/*

%changelog
* Tue Oct 06 2009 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 3.1.1-alt1.svn20090901
- Initial build for Sisyphus

